package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;
import data.scripts.everyframe.TargetingLeadIndicator;
import java.io.IOException;
import org.json.JSONException;

public class TLIModPlugin extends BaseModPlugin {

    @Override
    public void onApplicationLoad() {
        boolean hasLazyLib = Global.getSettings().getModManager().isModEnabled("lw_lazylib");
        if (!hasLazyLib) {
            throw new RuntimeException("Lead Indicator requires LazyLib by LazyWizard!");
        }

        try {
            TargetingLeadIndicator.reloadSettings();
        } catch (IOException | JSONException e) {
            System.console().printf("Lead Indicator Loading Failed! " + e.getMessage());
        }
    }
}
